org.apache.felix.resolver.util

## Class OpenHashMapSet<K,V>

- java.lang.Object
- - org.apache.felix.resolver.util.OpenHashMap<K,CopyOnWriteSet<V>>
  - - org.apache.felix.resolver.util.OpenHashMapSet<K,V>

All Implemented Interfaces:
  Serializable, Cloneable, Map<K,CopyOnWriteSet<V>>, SortedMap<K,CopyOnWriteSet<V>>

    public class OpenHashMapSet<K,V>
    extends OpenHashMap<K,CopyOnWriteSet<V>>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.felix.resolver.util.OpenHashMap

`OpenHashMap.AbstractObjectCollection<K>, OpenHashMap.AbstractObjectSet<K>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Field Summary

### Fields inherited from class org.apache.felix.resolver.util.OpenHashMap

`containsNullKey, defRetValue, entries, f, fast, first, key, keys, last, link, mask, maxFill, n, size, value, values`

### Constructor Summary

Constructors
Constructor and Description
`OpenHashMapSet()`
`OpenHashMapSet(int initialCapacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected CopyOnWriteSet<V>` `compute(K key)`
`OpenHashMapSet<K,V>` `deepClone()`

### Methods inherited from class org.apache.felix.resolver.util.OpenHashMap

`clear, clone, comparator, containsKey, containsValue, defaultReturnValue, defaultReturnValue, entrySet, equals, fast, firstKey, fixPointers, fixPointers, get, getOrCompute, hashCode, headMap, isEmpty, keySet, lastKey, put, putAll, rehash, remove, removeFirst, removeLast, shiftKeys, size, subMap, tailMap, toString, trim, trim, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### OpenHashMapSet

    public OpenHashMapSet()

#### OpenHashMapSet

    public OpenHashMapSet(int initialCapacity)

### Method Detail

#### deepClone

    public OpenHashMapSet<K,V> deepClone()

#### compute

    protected CopyOnWriteSet<V> compute(K key)

Overrides:
  `compute` in class `OpenHashMap<K,CopyOnWriteSet<V>>`